import { OnInit } from '@angular/core';
import { DataService, Dialog, GetCategoryList } from '@ishop/admin-ui/core';
import { Observable } from 'rxjs';
export declare class SelectVendorCategoryDialogComponent implements Dialog<string[]>, OnInit {
    private dataService;
    resolveWith: (result?: string[]) => void;
    categories$: Observable<GetCategoryList.Items[]>;
    selectedCategoryIds: string[];
    constructor(dataService: DataService);
    ngOnInit(): void;
    cancel(): void;
    add(): void;
}
